Bug 49566

Summary: tracking bug for all of the multiprocess NRWT issues
Product: WebKit Reporter: Dirk Pranke <dpranke>
Component: Tools / TestsAssignee: Dirk Pranke <dpranke>
Status: RESOLVED FIXED    
Severity: Normal CC: eric, hayato, koz, mihai, ojan, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on: 49567, 49571, 49573, 49768, 49773, 49777, 49779, 50381, 52194, 53156, 53157, 53158, 53471, 53477, 53656, 54067, 54068, 54070, 54071, 54072, 54074, 54079, 54082    
Bug Blocks: 36622, 38300, 43565    
Attachments:
Description Flags
merge in from 52194, checkpoint against tip of tree as of r72362
none
rebase merge to r77148
none
rebase to r77212
none
full patch from tip-of-tree @ r77682
none
incremental patch from bug 53656
none
merge to r77998
none
fix typos, review code
none
final patch??
none
attachment 81733 rebased to r78159
none
roll up changes from bugs 54071, 54072, 54074, 54079, 54082, rebase to r78302 none

Description Dirk Pranke 2010-11-15 15:16:08 PST
Just filing an uber-bug to help track all of the NRWT threading/multiprocess changes
Comment 1 Dirk Pranke 2011-01-24 18:11:45 PST
Created attachment 80004 [details]
merge in from 52194, checkpoint against tip of tree as of r72362
Comment 2 Dirk Pranke 2011-01-24 18:12:15 PST
*** Bug 52194 has been marked as a duplicate of this bug. ***
Comment 3 Dirk Pranke 2011-01-31 14:27:18 PST
Created attachment 80680 [details]
rebase merge to r77148
Comment 4 Dirk Pranke 2011-02-01 02:21:21 PST
Created attachment 80732 [details]
rebase to r77212
Comment 5 Dirk Pranke 2011-02-04 16:58:29 PST
Created attachment 81324 [details]
full patch from tip-of-tree @ r77682
Comment 6 Dirk Pranke 2011-02-04 16:59:54 PST
Created attachment 81325 [details]
incremental patch from bug 53656
Comment 7 Dirk Pranke 2011-02-08 19:05:11 PST
Created attachment 81730 [details]
merge to r77998
Comment 8 Dirk Pranke 2011-02-08 19:30:40 PST
Created attachment 81731 [details]
fix typos, review code
Comment 9 Dirk Pranke 2011-02-09 01:47:20 PST
Created attachment 81773 [details]
final patch??
Comment 10 Dirk Pranke 2011-02-09 17:17:23 PST
Created attachment 81898 [details]
attachment 81733 [details] rebased to r78159
Comment 11 Dirk Pranke 2011-02-11 18:55:34 PST
Created attachment 82223 [details]
roll up changes from bugs 54071, 54072, 54074, 54079, 54082, rebase to r78302
Comment 12 Dirk Pranke 2011-02-18 19:26:08 PST
This is now fixed. I will file separate bugs to track enabling NRWT on the various bots and platforms.